# Buyer Authorised Users

Buyers can invite authorised users to access their account. Once on-boarded, authorised users can transact on behalf of the identity they are on-boarded with.
Authorised users are typically employees who have access to company's banking accounts.
Note that `/users` endpoints are to be used only for performing operations related to authorised users - getting or updating the details of *admin* users is to be done via `/buyers` endpoints.

 - [POST /v1/users](https://api.weavr.io/products/payment-run/openapi/buyer-authorised-users/usercreate.md): Creates a user that belongs to the buyer that the logged-in user belongs to. To Create an Authorised User you would need a stepped-up token. After calling this endpoint you need to step-up ( issue a c
 - [GET /v1/users](https://api.weavr.io/products/payment-run/openapi/buyer-authorised-users/usersget.md): Fetches all authorised users associated with the buyer that the logged-in user belongs to. Required user role: `ADMIN`
 - [GET /v1/users/{user_id}](https://api.weavr.io/products/payment-run/openapi/buyer-authorised-users/usergetbyid.md): Retrieves the user identified by the `user_id` path parameter. Required user role: `ADMIN`
 - [PATCH /v1/users/{user_id}](https://api.weavr.io/products/payment-run/openapi/buyer-authorised-users/userupdate.md): Update the details of a user identified by the user_id in the the path parameter. After calling this endpoint you need to step-up ( issue a challenge /stepup/challenges/otp/{channel} ). More details o
 - [POST /v1/users/{user_id}/activate](https://api.weavr.io/products/payment-run/openapi/buyer-authorised-users/useractivate.md): Activate the user identified by the `user_id` path parameter. By default, any new users created will be automatically activated. This operation needs to be used only if the user was previously de-acti
 - [POST /v1/users/{user_id}/deactivate](https://api.weavr.io/products/payment-run/openapi/buyer-authorised-users/userdeactivate.md): De-activate the user identified by the `user_id` path parameter. Deactivated users cannot log in or execute any operations with their credentials. This operations is not final and a user can be re-act
 - [POST /v1/users/{user_id}/invite](https://api.weavr.io/products/payment-run/openapi/buyer-authorised-users/userinvitesend.md): Once a user is created using the *userCreate* operation, the user needs to setup his/her password. An invitation needs to be sent to the user in order to be able to set up the password for the first t
 - [POST /v1/users/{user_id}/invite/validate](https://api.weavr.io/products/payment-run/openapi/buyer-authorised-users/userinvitevalidate.md): Check if a user's invite is still valid. This operation is useful to avoid having the user fill in a form only to be held by a validation issue (eg. expired invite).
 - [POST /v1/users/{user_id}/invite/consume](https://api.weavr.io/products/payment-run/openapi/buyer-authorised-users/userinviteconsume.md): Consumes an invitation previously sent to the user via *userInviteSend*. This is needed so that the invited user sets up the password. *Note that on the Sandbox Environment, the `inviteCode` is always
 - [POST /v1/users/verification/email/send](https://api.weavr.io/products/payment-run/openapi/buyer-authorised-users/authoriseduseremailverificationcodesend.md): The first step in verifying an authorised user's email. The authorised user whose email address is to be verified is sent an email containing a randomly generated code. This code must then be provided
 - [POST /v1/users/verification/email/verify](https://api.weavr.io/products/payment-run/openapi/buyer-authorised-users/authoriseduseremailverify.md): The second step in verifying the authorised user's email. The randomly generated code sent to the authorised user via email, using the *authorisedUserEmailVerificationCodeSend* operation, is submitted
